<?php

namespace App\Classes\Modules\Segments\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class SegmentObject implements DataTransferObject
{

    /** @var string */
    private $name;

    /** @var int */
    private $company_module_id;

    /**
     * ConstantObject constructor.
     * @param string $name
     * @param string $reference
     * @param array $detail
     */
    public function __construct(string $name, int $company_module_id)
    {
        $this->name = $name;
        $this->company_module_id = $company_module_id;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getCompanyModuleId(): string
    {
        return $this->company_module_id;
    }

}